Bug 171350 - gaim-1.5.0++
gaim-1.5.0++
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: 171491
  Show dependency treegraph
 
Reported: 2005-10-20 18:37 EDT by Peter Lawler
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.5.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 16:41:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yahoo chatroom ignore on join is not clean (1.89 KB, patch)
2005-10-20 18:57 EDT, Peter Lawler
no flags Details | Diff
This should make Italian Yahoo profiles work better (1.86 KB, patch)
2005-10-20 19:03 EDT, Peter Lawler
no flags Details | Diff
Properly strip HTML from yahoo status messages (783 bytes, patch)
2005-10-20 19:05 EDT, Peter Lawler
no flags Details | Diff
xmlnode.c cleanup (961 bytes, patch)
2005-10-20 19:13 EDT, Peter Lawler
no flags Details | Diff
Fix crashes due to non terminate strings (994 bytes, patch)
2005-10-20 19:18 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (688 bytes, patch)
2005-10-20 19:23 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (809 bytes, patch)
2005-10-20 19:25 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (845 bytes, patch)
2005-10-20 19:26 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (1.17 KB, patch)
2005-10-20 19:27 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (2.04 KB, patch)
2005-10-20 19:28 EDT, Peter Lawler
no flags Details | Diff
Silc: multple patches: Close gaim_request windows if prpl disconnects (2.44 KB, patch)
2005-10-20 19:29 EDT, Peter Lawler
no flags Details | Diff
MSN prpl data corruption fix (594 bytes, patch)
2005-10-20 19:50 EDT, Peter Lawler
no flags Details | Diff
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK (2.05 KB, patch)
2005-10-20 19:53 EDT, Peter Lawler
no flags Details | Diff
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK (738 bytes, patch)
2005-10-20 19:55 EDT, Peter Lawler
no flags Details | Diff
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK (2.06 KB, patch)
2005-10-20 19:56 EDT, Peter Lawler
no flags Details | Diff
Forceful connetion_disconnect shouldn't wipe the password (955 bytes, patch)
2005-10-20 20:09 EDT, Peter Lawler
no flags Details | Diff
gtkimhtml: fix clipboard leak and history scroll problems (3.95 KB, patch)
2005-10-20 20:15 EDT, Peter Lawler
no flags Details | Diff
core/ui: multiple patches: Correct smileys, regardless of log type (856 bytes, patch)
2005-10-20 20:23 EDT, Peter Lawler
no flags Details | Diff
core/ui: multiple patches: Correct smileys, regardless of log type (2.25 KB, patch)
2005-10-20 20:24 EDT, Peter Lawler
no flags Details | Diff
IRC: Italics support (1.35 KB, patch)
2005-10-20 20:25 EDT, Peter Lawler
no flags Details | Diff
Authors update (1.28 KB, patch)
2005-10-20 20:59 EDT, Peter Lawler
no flags Details | Diff
copyright update (959 bytes, patch)
2005-10-20 21:00 EDT, Peter Lawler
no flags Details | Diff
coding for gaim info patch (1.64 KB, patch)
2005-10-20 21:00 EDT, Peter Lawler
no flags Details | Diff
Dox creation fix (783 bytes, patch)
2005-10-20 21:01 EDT, Peter Lawler
no flags Details | Diff

  None (edit)
Description Peter Lawler 2005-10-20 18:37:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Since no work has been put in by the gaim team to release a new 1.5.1, I figured (at warren's frequent prompting), I should get together some patches so he can update FC and RHEL. This is particularly important since the AIM rate limit patch.

Version-Release number of selected component (if applicable):
1.5.0

How reproducible:
Always

Steps to Reproduce:
1. Install gaim 1.5.0
  

Actual Results:  1. gaim 1.5.0

Expected Results:  vairous minor bugs, potential security issues

Additional info:

Just wondering, gaim post 1.5.0 moved from rendezvous to bonjour, but it would appear very little else was done on the 1.x tree for this protocol plugin. I advise against changing to the 1.5.1cvs protocol plugin, as it's not being actively maintained within that tree. Pending advice to the contrary, I shan't do that.

Patches forthcoming.
Comment 1 Peter Lawler 2005-10-20 18:57:21 EDT
Created attachment 120208 [details]
Yahoo chatroom ignore on join is not clean

This doesn't trip on linux, but does so on *BSD and Win32. It's best to replace
the code so it does it properly.
Comment 2 Peter Lawler 2005-10-20 19:03:16 EDT
Created attachment 120209 [details]
This should make Italian Yahoo profiles work better

The patch in gaim's cvs for oldstatus is meant to the same as for their 2.x
development, but it isn't. This is the head patch, and should (in theory) work
against oldstatus.
Comment 3 Peter Lawler 2005-10-20 19:05:04 EDT
Created attachment 120210 [details]
Properly strip HTML from yahoo status messages

Occasionally, HTML would appear in an away message on yahoo. This patch fixes
that.
Comment 4 Peter Lawler 2005-10-20 19:13:24 EDT
Created attachment 120212 [details]
xmlnode.c cleanup

"This is a little cleaner" or "some fixes from head". Take you pick on the
intention here.
Comment 5 Peter Lawler 2005-10-20 19:18:16 EDT
Created attachment 120214 [details]
Fix crashes due to non terminate strings

sf patch #1252769, from Federico Schwindt
Fix crashes due to non terminate strings
Comment 6 Peter Lawler 2005-10-20 19:23:14 EDT
Created attachment 120215 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Backport some SILC changes kingant made.  Basically it just uses gc as the
handler in a bunch of gaim_request calls so that the gaim_request window is
closed if the PRPL is disconnected.
Comment 7 Peter Lawler 2005-10-20 19:25:29 EDT
Created attachment 120216 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Backport some SILC changes kingant made.  Basically it just uses
gc as the handler in a bunch of gaim_request calls so that the
gaim_request window is closed if the PRPL is disconnected.
Comment 8 Peter Lawler 2005-10-20 19:26:49 EDT
Created attachment 120217 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Silc: multple patches: Close gaim_request windows if prpl disconnects
Comment 9 Peter Lawler 2005-10-20 19:27:29 EDT
Created attachment 120218 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Silc: multple patches: Close gaim_request windows if prpl disconnects
Comment 10 Peter Lawler 2005-10-20 19:28:19 EDT
Created attachment 120219 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Silc: multple patches: Close gaim_request windows if prpl disconnects
Comment 11 Peter Lawler 2005-10-20 19:29:40 EDT
Created attachment 120220 [details]
Silc: multple patches: Close gaim_request windows if prpl disconnects

Silc: multple patches: Close gaim_request windows if prpl disconnects
Comment 12 Peter Lawler 2005-10-20 19:50:45 EDT
Created attachment 120221 [details]
MSN prpl data corruption fix

Patch #1270451 from Charlie Gordon

"when write needs to be called several times to output
 the buffer, the data actually written is corrupted"

This was a one-liner and looked correct to rlaager
Comment 13 Peter Lawler 2005-10-20 19:53:14 EDT
Created attachment 120222 [details]
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK

Kill off the conversation closed and timed-out notices

Fix for setting the ACK id on slpmsg ACKs which might improve things for
other clients (see bug #1222320)
Comment 14 Peter Lawler 2005-10-20 19:55:22 EDT
Created attachment 120223 [details]
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK

Kill off the conversation closed and timed-out notices

Fix for setting the ACK id on slpmsg ACKs which might improve things for
other clients (see bug #1222320)
Comment 15 Peter Lawler 2005-10-20 19:56:01 EDT
Created attachment 120224 [details]
MSN prpl: multiple patches: Kill convo close/timeout notices, fix for ACK

Kill off the conversation closed and timed-out notices

Fix for setting the ACK id on slpmsg ACKs which might improve things for
other clients (see bug #1222320)
Comment 16 Peter Lawler 2005-10-20 20:09:47 EDT
Created attachment 120225 [details]
Forceful connetion_disconnect shouldn't wipe the password

gaim_connection_disconnect() will wipe the password, which is usually fine, but
when we're knocked off forecfully, we'll want to reconnect easily.
Comment 17 Peter Lawler 2005-10-20 20:15:24 EDT
Created attachment 120226 [details]
gtkimhtml: fix clipboard leak and history scroll problems

Fix a clipboard memory leak, no more history plugin not
scrolling to the bottom problems.
Comment 18 Peter Lawler 2005-10-20 20:23:30 EDT
Created attachment 120228 [details]
core/ui: multiple patches: Correct smileys, regardless of log type

Thanks to Richard Laager, our log files will be considerably shorter and
we'll be able to see the correct smileys, regardless of log type.
Comment 19 Peter Lawler 2005-10-20 20:24:02 EDT
Created attachment 120229 [details]
core/ui: multiple patches: Correct smileys, regardless of log type

Thanks to Richard Laager, our log files will be considerably shorter and
we'll be able to see the correct smileys, regardless of log type.
Comment 20 Peter Lawler 2005-10-20 20:25:59 EDT
Created attachment 120230 [details]
IRC: Italics support

Apparently at some point eblanton wrote italic support for IRC and never
committed it
Comment 21 Stu Tomlinson 2005-10-20 20:38:04 EDT
can we just cc: the gaim-commits mailing list to this bug with a filter on
"oldstatus".
really, I don't understand what the point of this is, especially why is it
"security" severity?
Comment 22 Peter Lawler 2005-10-20 20:59:32 EDT
Created attachment 120232 [details]
Authors update
Comment 23 Peter Lawler 2005-10-20 21:00:03 EDT
Created attachment 120233 [details]
copyright update
Comment 24 Peter Lawler 2005-10-20 21:00:51 EDT
Created attachment 120234 [details]
coding for gaim info patch
Comment 25 Peter Lawler 2005-10-20 21:01:42 EDT
Created attachment 120235 [details]
Dox creation fix
Comment 26 Peter Lawler 2005-10-20 21:09:08 EDT
I think that should largely do you. There may be some OSCAR or Jabber fixes that
you should ahve, but at the moment they're buried in bad commit messages.
Additionally, I haven't provided patches for the new OSCAR file transfer, as I
believe new funcitonality is not required with this patchset (hence, I didn't
remove rendevouz and place bonjour in instead, nor update the translations or
for that matter the win32 changes).

Feel free to try and contact me on freenode for any queries.
Comment 27 Mark Doliner 2005-10-20 21:22:19 EDT
There's that good fix in the Yahoo! PRPL to avoid putting HTML markup in your
away message when you become idle.
Comment 28 Peter Lawler 2005-10-20 21:28:56 EDT
KingAnt: "There's" as in, "there is also", or "oh, hello, there is my good fix"?
Comment 29 Peter Lawler 2005-10-20 21:32:14 EDT
Stu: I was asked to grab all sever patches, plus others that may be worthwhile.
After discussing with warren, we decided we could shove them all into the one
bugzilla report. There's no 'catchall' severity, and I didn't know what to set
it to, as some are severe, some are minor.
Comment 30 Mark Doliner 2005-10-20 21:44:52 EDT
Peter Lawler: Oh, sorry, I guess I meant "There's" as in "I'm an idiot and
didn't notice that you had already attached the Yahoo patch, even though I
looked through everything.  I'm blind."
Comment 31 Warren Togami 2005-10-20 23:37:59 EDT
Thank you for the effort Peter, but unfortunately I am way too exhausted now to
do  this before I sleep.  I promise to do this first thing at work tomorrow.
Comment 33 Warren Togami 2005-10-21 15:04:42 EDT
I realized that many of these patches are from HEAD and will likely never go
into oldstatus branch.  I don't feel comfortable about forking and this becoming
a maintenance nightmare into the future.  So I asked Luke which are the most
important to include:

<LSchiere2> the silc patches, if they apply.  #12, #13-15, 22 & 23, and 32
Comment 34 Peter Lawler 2005-10-21 15:59:12 EDT
The patches from HEAD tended to have 'a quick fix' style comment on the HEAD
commit, and 'backport from HEAD' comment on the oldstatus commit. All patches
are from cvs oldstatus (except for the ones missing Index, where I was too lazy
to use cvs and used SF's webcvs instead)

Apologies for skipping one of the more important ones (AIM limit)
Comment 35 Peter Lawler 2005-10-23 18:13:03 EDT
It'd be nice to be able to read the details of what this is blocking
Comment 36 Peter Lawler 2005-11-10 03:14:18 EST
What is going on with this? I spent a day of my time to do your work for you,
and I informed others that an updated gaim 1.5.0 would come out on Fedora. Now
I'm looking like a liar!
Comment 37 Warren Togami 2005-11-10 08:09:58 EST
I am the liar. =(
I completely fell on my face and burned out for a while there.  I think I can
get to this today.
Comment 38 Warren Togami 2005-11-10 12:15:39 EST
The only patch here that doens't apply against gaim-1.5.0 is Comment #2 for
Italian profiles.  How important is this?  Should I just drop it?
Comment 39 Peter Lawler 2005-11-10 18:05:48 EST
I guess that depends on how many Italian users have posted bugs about not being
able to view profiles.
Comment 40 Warren Togami 2005-11-11 16:35:32 EST
nosnilmot rediffed it and it has been applied:
http://cvs.fedora.redhat.com/viewcvs/devel/gaim/gaim-1.5.0-it-yahoo_profile.patch?rev=1.1&view=log

gaim-1.5.0-9.fc3 and gaim-1.5.0-9.fc4 have been pushed to FC3 and FC4 updates.
Comment 41 Mark Doliner 2005-11-11 17:00:06 EST
Awesome
Comment 42 Peter Lawler 2005-11-11 19:56:29 EST
Top stuff.
Comment 43 Warren Togami 2005-12-13 16:41:38 EST
Issued in FC3, FC4 and FC5, and soon RHEL3/RHEL4.

Note You need to log in before you can comment on or make changes to this bug.